Bug 460725 - seg violation on compiler; earlier version are ok
seg violation on compiler; earlier version are ok
Status: CLOSED CANTFIX
Product: Fedora Legacy
Classification: Retired
Component: gcc4 (Show other bugs)
unspecified
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-30 05:27 EDT by w.doeringer
Modified: 2009-09-21 16:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 16:26:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compiler output (816.88 KB, text/plain)
2008-08-30 05:27 EDT, w.doeringer
no flags Details

  None (edit)
Description w.doeringer 2008-08-30 05:27:55 EDT
Created attachment 315420 [details]
compiler output

Description of problem:
seg violation on compiler


Version-Release number of selected component (if applicable):
gcc version 4.1.2 20070626 (Red Hat 4.1.2-14
gcc version 4.1.1 20070105 (Red Hat 4.1.1-51)

How reproducible:
compile

Steps to Reproduce:
1.
2.
3.
  
Actual results:
see attached out-file

Expected results:


Additional info:
Comment 1 Denys Vlasenko 2008-09-05 05:42:11 EDT
Just a data point: this compiler doesn't segfault:

# g++ -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --enable-plugin --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-cpu=generic --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC)

This one also does not segfault (32-bit, vanilla 4.3.1):

# i486-linux-uclibc-g++ -v
Using built-in specs.
Target: i486-linux-uclibc
Configured with: ../gcc-4.3.1/configure --prefix=/usr/app/gcc-4.3.1-i486-linux-uclibc --exec-prefix=/usr/app/gcc-4.3.1-i486-linux-uclibc --bindir=/usr/app/gcc-4.3.1-i486-linux-uclibc/bin --sbindir=/usr/app/gcc-4.3.1-i486-linux-uclibc/sbin --libexecdir=/usr/app/gcc-4.3.1-i486-linux-uclibc/libexec --datadir=/usr/app/gcc-4.3.1-i486-linux-uclibc/share--sysconfdir=/etc --sharedstatedir=/usr/app/gcc-4.3.1-i486-linux-uclibc/var/com --localstatedir=/usr/app/gcc-4.3.1-i486-linux-uclibc/var --libdir=/usr/app/gcc-4.3.1-i486-linux-uclibc/lib --includedir=/usr/app/gcc-4.3.1-i486-linux-uclibc/include --infodir=/usr/app/gcc-4.3.1-i486-linux-uclibc/info --mandir=/usr/app/gcc-4.3.1-i486-linux-uclibc/man --disable-nls --with-local-prefix=/usr/local --with-slibdir=/usr/app/gcc-4.3.1-i486-linux-uclibc/lib --target=i486-linux-uclibc --with-gnu-ld --with-ld=/usr/bin/i486-linux-uclibc-ld --with-gnu-as --with-as=/usr/bin/i486-linux-uclibc-as --with-sysroot=/usr/cross/i486-linux-uclibc --enable-languages=c,c++ --disable-shared --disable-threads --disable-tls --disable-libgomp
Thread model: single
gcc version 4.3.1 (GCC)


Both error out. Same output without any options and with -O2:

# g++ -O2 attachment.c
In file included from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr.h:115,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/c++io.h:39,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/iosfwd:47,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ios:44,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ostream:45,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/iostream:45,
                 from ../tCdeque.cpp:16:
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:88: error: weakref ‘int __gthrw_pthread_once(pthread_once_t*, void (*)())’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:89: error: weakref ‘void* __gthrw_pthread_getspecific(pthread_key_t)’must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:90: error: weakref ‘int __gthrw_pthread_setspecific(pthread_key_t, const void*)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:91: error: weakref ‘int __gthrw_pthread_create(pthread_t*, const pthread_attr_t*, void* (*)(void*), void*)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:92: error: weakref ‘int __gthrw_pthread_cancel(pthread_t)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:93: error: weakref ‘int __gthrw_pthread_mutex_lock(pthread_mutex_t*)’must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:94: error: weakref ‘int __gthrw_pthread_mutex_trylock(pthread_mutex_t*)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:95: error: weakref ‘int __gthrw_pthread_mutex_unlock(pthread_mutex_t*)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:96: error: weakref ‘int __gthrw_pthread_mutex_init(pthread_mutex_t*, const pthread_mutexattr_t*)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:99: error: weakref ‘int __gthrw_pthread_key_create(pthread_key_t*, void (*)(void*))’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:100: error: weakref ‘int __gthrw_pthread_key_delete(pthread_key_t)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:101: error: weakref ‘int __gthrw_pthread_mutexattr_init(pthread_mutexattr_t*)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:102: error: weakref ‘int __gthrw_pthread_mutexattr_settype(pthread_mutexattr_t*, int)’ must have static linkage
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/gthr-default.h:103: error: weakref ‘int __gthrw_pthread_mutexattr_destroy(pthread_mutexattr_t*)’ must have static linkage
In file included from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/stl_algobase.h:72,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/char_traits.h:47,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ios:46,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ostream:45,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/iostream:45,
                 from ../tCdeque.cpp:16:
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/cpp_type_traits.h:358: error: expected identifier before ‘__is_pod’
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/cpp_type_traits.h:358: error: expected unqualified-id before ‘__is_pod’
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/cpp_type_traits.h:371: error: expected identifier before ‘__is_empty’
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/cpp_type_traits.h:371: error: expected unqualified-id before ‘__is_empty’
In file included from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ext/new_allocator.h:38,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/i386-redhat-linux/bits/c++allocator.h:35,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/allocator.h:53,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/memory:55,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/string:48,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/locale_classes.h:48,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/ios_base.h:48,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ios:49,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/ostream:45,
                 from /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/iostream:45,
                 from ../tCdeque.cpp:16:
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/new:84: error: ‘operator new’ takes type ‘size_t’ (‘long unsigned int’) as first parameter
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/new:85: error: ‘operator new’ takes type ‘size_t’ (‘long unsigned int’) as first parameter
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/new:88: error: ‘operator new’ takes type ‘size_t’ (‘long unsigned int’) as first parameter
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/new:89: error: ‘operator new’ takes type ‘size_t’ (‘long unsigned int’) as first parameter
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/new:94: error: ‘operator new’ takes type ‘size_t’ (‘long unsigned int’) as first parameter
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../../include/c++/4.1.2/new:95: error: ‘operator new’ takes type ‘size_t’ (‘long unsigned int’) as first parameter
../Iterator.cpp:93: confused by earlier errors, bailing out
Comment 2 Piotr Drąg 2008-11-08 16:25:43 EST
Closing Fedora Legacy bugs.
Comment 3 Piotr Drąg 2008-11-08 16:26:15 EST
Closing Fedora Legacy bugs.

Note You need to log in before you can comment on or make changes to this bug.